Skip to main content
POST
/
connectors
/
schemas
Fetch schemas for an unsaved connector
curl --request POST \
  --url https://api.artie.com/connectors/schemas \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "connector": {
    "dataPlaneName": "<string>",
    "defaultDatabase": "<string>",
    "environmentUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "label": "<string>",
    "sharedConfig": {},
    "sshTunnelUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "uuid": "<string>"
  },
  "databaseName": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://artie.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Body

application/json
connector
object
required
databaseName
string
required

Response

OK